// Enable/Disable Protections for policy 
resource "akamai_appsec_waf_protection" "waf_protection" {
  config_id          = akamai_appsec_configuration.config.config_id
  security_policy_id = akamai_appsec_security_policy.security_policy.security_policy_id
  enabled            = true
}

resource "akamai_appsec_api_constraints_protection" "api_request_constraints" {
  config_id          = akamai_appsec_configuration.config.config_id
  security_policy_id = akamai_appsec_security_policy.security_policy.security_policy_id
  enabled            = true
}

resource "akamai_appsec_ip_geo_protection" "ip_geo_protection" {
  config_id          = akamai_appsec_configuration.config.config_id
  security_policy_id = akamai_appsec_security_policy.security_policy.security_policy_id
  enabled            = true
}

resource "akamai_appsec_malware_protection" "malware_protection" {
  config_id          = akamai_appsec_configuration.config.config_id
  security_policy_id = akamai_appsec_security_policy.security_policy.security_policy_id
  enabled            = true
}

resource "akamai_appsec_rate_protection" "rate_protection" {
  config_id          = akamai_appsec_configuration.config.config_id
  security_policy_id = akamai_appsec_security_policy.security_policy.security_policy_id
  enabled            = true
}

resource "akamai_appsec_reputation_protection" "reputation_protection" {
  config_id          = akamai_appsec_configuration.config.config_id
  security_policy_id = akamai_appsec_security_policy.security_policy.security_policy_id
  enabled            = true
}

resource "akamai_appsec_slowpost_protection" "slowpost_protection" {
  config_id          = akamai_appsec_configuration.config.config_id
  security_policy_id = akamai_appsec_security_policy.security_policy.security_policy_id
  enabled            = true
}

resource "akamai_botman_bot_management_settings" "bot_management" {
  config_id          = akamai_appsec_configuration.config.config_id
  security_policy_id = akamai_appsec_security_policy.security_policy.security_policy_id
  bot_management_settings = jsonencode(
    {
      "addAkamaiBotHeader" : false,
      "enableActiveDetections" : true,
      "enableBotManagement" : true,
      "enableBrowserValidation" : false,
      "removeBotManagementCookies" : false,
      "thirdPartyProxyServiceInUse" : false
    }
  )
}
