variable "section" {
  type        = string
  description = "Section in EdgeRC file that contains API client credentials"
}

variable "contract_id" {
  type        = string
  description = "Contract ID for property/config creation"
}

variable "group_id" {
  type        = string
  description = "Group ID for property/config creation"
}

variable "product_id" {
  type        = string
  description = "Property Manager product"
}

variable "user_id"{
  type = string
  description = "unique ID for each lab user"
}

variable "rule_format" {
  type        = string
  description = "Property rule format"
}

variable "secure" {
  type        = bool
  description = "Switch between enhanced and standard TLS"
}

variable "email" {
  type        = string
  description = "Email address used for activations"
}

variable "ip_block_list" {
  type        = list(any)
  description = "IP Block List IPs"
  default     = []
}

variable "ip_block_list_exceptions" {
  type        = list(any)
  description = "IP Block List Exceptions IPs"
  default     = []
}

variable "security_bypass_list" {
  type        = list(any)
  description = "Security Bypass List IPs"
  default     = []
}

variable "rate_bypass_list" {
  type        = list(any)
  description = "Rate Control Bypass List IPs"
  default     = []
}

variable "pragma_exceptions" {
  type        = list(any)
  description = "Pragma Removal Exceptions IPs"
  default     = []
}

variable "enable_siem" {
  type        = bool
  default     = true
  description = "On/Off option for SIEM feature"
}

variable "enable_client_rep" {
  type        = bool
  default     = true
  description = "On/Off option for Client Reputation feature"
}

variable "enable_slow_post" {
  type        = bool
  default     = true
  description = "On/Off option for Slow Post feature"
}

variable "cp_code_id" {
  type = number
  description = "CP Code for reporting"
}

variable "edge_hostname" {
  type = string
  description = "Edge hostname for property"
}

variable "network" {
  type = string
  description = "Akamai network for activation"
}

variable "security_policy_name" {
  type = string
}

variable "security_policy_prefix" {
  type = string
}

variable "host_names" {
  type = list(string)
}

variable "geo_block_list" {
  type        = list(any)
  description = "Blocked geos"
}
